%define	major 0
%define	libname %mklibname cap-ng %{major}
%define develname %mklibname cap-ng -d

Summary:	An alternate posix capabilities library
Name:		libcap-ng
Version:	0.8.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://people.redhat.com/sgrubb/libcap-ng
Source0:	http://people.redhat.com/sgrubb/libcap-ng/%{name}-%{version}.tar.xz
Patch0:		https://github.com/stevegrubb/libcap-ng/commit/2332370a041c41e1111f8c5f68a7d5640fc96009.patch
BuildRequires:	kernel-headers
BuildRequires:	attr-devel
BuildRequires:	swig

%description
Libcap-ng is a library that makes using posix capabilities easier.

%package -n	%{libname}
Summary:	Shared %{name} library
Group:		System/Libraries
Obsoletes:	%{_lib}libcap-ng0

%description -n	%{libname}
Libcap-ng is a library that makes using posix capabilities easier.

This package contains the shared %{name} library.

%package -n	%{develname}
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/Libraries
Requires:	kernel-headers
Requires:	%{libname} = %{version}
Provides:	cap-ng-devel = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}libcap-ng-devel

%description -n	%{develname}
Libcap-ng is a library that makes using posix capabilities easier.

This package contains the development files for the %{name} library.

%package -n	python3-%{name}
Summary:	Python3 bindings for %{name} library
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
Requires:	%{libname} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n	python3-%{name}
The python3-libcap-ng package contains the bindings so that %{name} and
can be used by python3 applications.

%package	utils
Summary:	Utilities for analysing and setting file capabilities
Group:		System/Base

%description	utils
The libcap-ng-utils package contains applications to analyse the posix
capabilities of all the program running on a system. It also lets you set the
file system based capabilities.


%prep

%setup -q
%autopatch -p1

%build
./autogen.sh
%configure2_5x \
    --libdir=/%{_libdir} \
    --with-python --with-python3

%make_build CFLAGS="%{optflags}"

%install
rm -rf %buildroot
%make_install

# Remove a couple things so they don't get picked up
rm -f %{buildroot}%{_libdir}/libcap-ng.*a
rm -f %{buildroot}%{_libdir}/libdrop_ambient.*a
rm -f %{buildroot}%{_libdir}/python?.*/site-packages/_capng.*a


%files -n %{libname}
%{_libdir}/libcap-ng.so.%{major}*
%{_libdir}/libdrop_ambient.so.%{major}*

%files -n %{develname}
%attr(0644,root,root) %{_includedir}/cap-ng.h
%{_libdir}/libcap-ng.so
%{_libdir}/libdrop_ambient.so
%attr(0644,root,root) %{_datadir}/aclocal/cap-ng.m4
%{_libdir}/pkgconfig/libcap-ng.pc
%attr(0644,root,root) %{_mandir}/man3/*

%files -n python3-%{name}
%attr(0755,root,root) %{python3_sitearch}/_capng.so
%{python3_sitearch}/capng.py*

%files utils
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_mandir}/man7/*
%attr(0644,root,root) %{_mandir}/man8/*


%changelog
* Sun Apr 14 2024 tex - 0.8.5-1pclos2024
- new version

* Sun Dec 24 2023 tex - 0.8.4-1pclos2024
- new version

* Fri Jul 22 2022 TerryN <terryn94 at gmail.com> 0.8.2-3pclos2022
- rebuild for python 3.10

* Mon Jul 04 2022 tex - 0.8.2-2pclos2022
- rebuild against updates

* Wed Dec 30 2020 tex - 0.8.2-1pclos2020
- 0.8.2
